[arch-commits] Commit in ypserv/repos (10 files)

Tom Gundersen tomegun at archlinux.org
Sun Feb 26 14:05:21 EST 2012


    Date: Sunday, February 26, 2012 @ 14:05:20
  Author: tomegun
Revision: 151498

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  ypserv/repos/testing-i686/
  ypserv/repos/testing-i686/PKGBUILD
    (from rev 151497, ypserv/trunk/PKGBUILD)
  ypserv/repos/testing-i686/confpost.patch
    (from rev 151497, ypserv/trunk/confpost.patch)
  ypserv/repos/testing-i686/yppasswd
    (from rev 151497, ypserv/trunk/yppasswd)
  ypserv/repos/testing-i686/ypserv
    (from rev 151497, ypserv/trunk/ypserv)
  ypserv/repos/testing-x86_64/
  ypserv/repos/testing-x86_64/PKGBUILD
    (from rev 151497, ypserv/trunk/PKGBUILD)
  ypserv/repos/testing-x86_64/confpost.patch
    (from rev 151497, ypserv/trunk/confpost.patch)
  ypserv/repos/testing-x86_64/yppasswd
    (from rev 151497, ypserv/trunk/yppasswd)
  ypserv/repos/testing-x86_64/ypserv
    (from rev 151497, ypserv/trunk/ypserv)

-------------------------------+
 testing-i686/PKGBUILD         |   42 ++++++++++++++++++++++++++++++++++++++++
 testing-i686/confpost.patch   |   14 +++++++++++++
 testing-i686/yppasswd         |   34 ++++++++++++++++++++++++++++++++
 testing-i686/ypserv           |   34 ++++++++++++++++++++++++++++++++
 testing-x86_64/PKGBUILD       |   42 ++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/confpost.patch |   14 +++++++++++++
 testing-x86_64/yppasswd       |   34 ++++++++++++++++++++++++++++++++
 testing-x86_64/ypserv         |   34 ++++++++++++++++++++++++++++++++
 8 files changed, 248 insertions(+)

Copied: ypserv/repos/testing-i686/PKGBUILD (from rev 151497, ypserv/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=ypserv
+pkgver=2.27
+pkgrel=1
+pkgdesc='Linux NIS Server'
+arch=('i686' 'x86_64')
+url='http://www.linux-nis.org/nis/ypserv/'
+license=('GPL2')
+depends=('gdbm' 'openslp' 'inetutils')
+optdepends=('gawk: for printcap support')
+backup=('etc/ypserv.conf' 'etc/netgroup' 'var/yp/securenets')
+source=("http://www.linux-nis.org/download/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
+	confpost.patch
+        'yppasswd'
+        'ypserv')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	patch -p1 -i ../confpost.patch
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	make DESTDIR="${pkgdir}" install
+
+	install -D -m644 etc/netgroup "${pkgdir}"/etc/netgroup
+	install -D -m644 etc/ypserv.conf "${pkgdir}"/etc/ypserv.conf
+	install -D -m644 etc/securenets "${pkgdir}"/var/yp/securenets
+	install -D -m755 ../ypserv "${pkgdir}"/etc/rc.d/ypserv
+	install -D -m755 ../yppasswd "${pkgdir}"/etc/rc.d/yppasswd
+}
+md5sums=('fd9c43aec932a92be07b723c647b02a4'
+         '8acb314f30d6e531ac9efa8655f68ccb'
+         '4bc84c48ed1bb9659698853acb5cfd76'
+         'c40befe5932f1b42efaced6b46809303')

Copied: ypserv/repos/testing-i686/confpost.patch (from rev 151497, ypserv/trunk/confpost.patch)
===================================================================
--- testing-i686/confpost.patch	                        (rev 0)
+++ testing-i686/confpost.patch	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,14 @@
+diff -up ypserv-2.27/conf_post.h.qdbm ypserv-2.27/conf_post.h
+--- ypserv-2.27/conf_post.h.qdbm	2012-02-01 14:18:01.780846425 +0100
++++ ypserv-2.27/conf_post.h	2012-02-01 14:18:01.780846425 +0100
+@@ -0,0 +1,10 @@
++/* Define common preprocessor symbol for HAVE_LIBGDBM and HAVE_LIBQDBM, since
++ * libraries gdbm and qdbm have same symbol names. */
++#undef HAVE_COMPAT_LIBGDBM
++#ifdef HAVE_LIBGDBM
++#define HAVE_COMPAT_LIBGDBM
++#endif
++#ifdef HAVE_LIBQDBM
++#define HAVE_COMPAT_LIBGDBM
++#endif
++

Copied: ypserv/repos/testing-i686/yppasswd (from rev 151497, ypserv/trunk/yppasswd)
===================================================================
--- testing-i686/yppasswd	                        (rev 0)
+++ testing-i686/yppasswd	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Password Daemon"
+    /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Password Daemon"
+    killall -q /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: ypserv/repos/testing-i686/ypserv (from rev 151497, ypserv/trunk/ypserv)
===================================================================
--- testing-i686/ypserv	                        (rev 0)
+++ testing-i686/ypserv	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Server"
+    /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon ypserv
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Server"
+    killall -q /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon ypserv
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: ypserv/repos/testing-x86_64/PKGBUILD (from rev 151497, ypserv/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,42 @@
+# $Id$
+# Maintainer: Tom Gundersen <teg at jklm.no>
+# Contributor: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=ypserv
+pkgver=2.27
+pkgrel=1
+pkgdesc='Linux NIS Server'
+arch=('i686' 'x86_64')
+url='http://www.linux-nis.org/nis/ypserv/'
+license=('GPL2')
+depends=('gdbm' 'openslp' 'inetutils')
+optdepends=('gawk: for printcap support')
+backup=('etc/ypserv.conf' 'etc/netgroup' 'var/yp/securenets')
+source=("http://www.linux-nis.org/download/${pkgname}/${pkgname}-${pkgver}.tar.bz2"
+	confpost.patch
+        'yppasswd'
+        'ypserv')
+
+build() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	patch -p1 -i ../confpost.patch
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "${srcdir}/${pkgname}-${pkgver}"
+	make DESTDIR="${pkgdir}" install
+
+	install -D -m644 etc/netgroup "${pkgdir}"/etc/netgroup
+	install -D -m644 etc/ypserv.conf "${pkgdir}"/etc/ypserv.conf
+	install -D -m644 etc/securenets "${pkgdir}"/var/yp/securenets
+	install -D -m755 ../ypserv "${pkgdir}"/etc/rc.d/ypserv
+	install -D -m755 ../yppasswd "${pkgdir}"/etc/rc.d/yppasswd
+}
+md5sums=('fd9c43aec932a92be07b723c647b02a4'
+         '8acb314f30d6e531ac9efa8655f68ccb'
+         '4bc84c48ed1bb9659698853acb5cfd76'
+         'c40befe5932f1b42efaced6b46809303')

Copied: ypserv/repos/testing-x86_64/confpost.patch (from rev 151497, ypserv/trunk/confpost.patch)
===================================================================
--- testing-x86_64/confpost.patch	                        (rev 0)
+++ testing-x86_64/confpost.patch	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,14 @@
+diff -up ypserv-2.27/conf_post.h.qdbm ypserv-2.27/conf_post.h
+--- ypserv-2.27/conf_post.h.qdbm	2012-02-01 14:18:01.780846425 +0100
++++ ypserv-2.27/conf_post.h	2012-02-01 14:18:01.780846425 +0100
+@@ -0,0 +1,10 @@
++/* Define common preprocessor symbol for HAVE_LIBGDBM and HAVE_LIBQDBM, since
++ * libraries gdbm and qdbm have same symbol names. */
++#undef HAVE_COMPAT_LIBGDBM
++#ifdef HAVE_LIBGDBM
++#define HAVE_COMPAT_LIBGDBM
++#endif
++#ifdef HAVE_LIBQDBM
++#define HAVE_COMPAT_LIBGDBM
++#endif
++

Copied: ypserv/repos/testing-x86_64/yppasswd (from rev 151497, ypserv/trunk/yppasswd)
===================================================================
--- testing-x86_64/yppasswd	                        (rev 0)
+++ testing-x86_64/yppasswd	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Password Daemon"
+    /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Password Daemon"
+    killall -q /usr/sbin/rpc.yppasswdd
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon yppasswd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: ypserv/repos/testing-x86_64/ypserv (from rev 151497, ypserv/trunk/ypserv)
===================================================================
--- testing-x86_64/ypserv	                        (rev 0)
+++ testing-x86_64/ypserv	2012-02-26 19:05:20 UTC (rev 151498)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting NIS Server"
+    /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon ypserv
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping NIS Server"
+    killall -q /usr/sbin/ypserv
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon ypserv
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac



More information about the arch-commits mailing list